libxml-sax-perl (1.00+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Salvatore Bonaccorso ]
  * Refresh parserdetails-debian patch (offset)
  * Update patch header for skip-test-with-nonfree-file patch
  * Update patch header for parserdetails-debian patch

  [ gregor herrmann ]
  * debian/control: update {versioned,alternative} (build) dependencies.

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ gregor herrmann ]
  * Update debian/repack.stub.

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * Change bugtracker URL(s) to HTTPS.
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.

  [ intrigeri ]
  * Switch repackaging framework to Files-Excluded method.

  [ gregor herrmann ]
  * Remove Antonio Radici from Uploaders. Thanks for your work!
  * Remove Jay Bonci from Uploaders. Thanks for your work!

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ gregor herrmann ]
  * New upstream release.
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 4.1.3.
  * Bump debhelper compatibility level to 10.
  * Update paths in debian/copyright.
  * Add debian/tests/pkg-perl/ to make smoke autopkgtest work.
  * Add libwww-perl to Recommends. Optionally used by one module.

 -- gregor herrmann <gregoa@debian.org>  Sat, 10 Mar 2018 19:32:29 +0100

libxml-sax-perl (0.99+dfsg-2) unstable; urgency=low

  * Fix a command injection bug in update-perl-sax-parsers (LP: #782479).
  * Bump Standards-Version to 3.9.3 (use copyright-format 1.0).
  * Bump years of Debian copyright.

 -- Florian Schlichting <fschlich@zedat.fu-berlin.de>  Fri, 01 Jun 2012 19:08:31 +0200

libxml-sax-perl (0.99+dfsg-1) unstable; urgency=low

  [ Florian Schlichting ]
  * Imported Upstream version 0.99
  * Update d/watch.
  * Switch to source format "3.0 (quilt)".
  * Bump compatibility level to 8.
  * Refresh d/copyright.
  * Bump Standards-Version to 3.9.2 (no further changes).
  * (Build-)Depend on libxml-sax-base-perl.
  * Add myself to Uploaders.
  * Remove copyright statement for removed XML::SAX::Base.

  [ Ansgar Burchardt ]
  * Update my email address.
  * debian/control: Convert Vcs-* fields to Git.

 -- Florian Schlichting <fschlich@zedat.fu-berlin.de>  Wed, 14 Sep 2011 14:49:55 +0000

libxml-sax-perl (0.96+dfsg-2) unstable; urgency=low

  [ Ansgar Burchardt ]
  * Move Debian-specific functions to a subclass as suggested by Evan Carroll.
    If XML::SAX is installed via CPAN, it will not see the ParserDetails.ini
    in /etc/perl/XML/SAX, ie. users will have to enable additional parsers by
    hand or install them via CPAN as well. (LP: #13917)
  * Use minimal debian/rules.
  * Add myself to Uploaders.
  * Bump Standards-Version to 3.8.3 (no changes).

  [ gregor herrmann ]
  * Adjust debian/{rules,copyright} to debian/repack.stub.
  * debian/patches: update formatting and headers.
  * New patch pod-spelling: fix some spelling errors in the POD.

 -- Ansgar Burchardt <ansgar@43-1.org>  Sat, 02 Jan 2010 19:28:28 +0900

libxml-sax-perl (0.96+dfsg-1) unstable; urgency=low

  [ Antonio Radici ]
  * New upstream release
  * debian/control:
    + Adding me to the uploaders
    + Standards-Version bumped to 3.8.0
    + dh compatibility >= 7
    + removed duplicate priority and section from the binary package
    + removed (>= 0.40) from quilt
  * debian/libxml-sax-perl.([^(:?dirs)]) renamed to $1
  * debian/rules
    + custom directives moved to proper files before refreshing to dh7 
      * debian/libpam-xml-perl.{links,install,examples,manpages}
      * debian/clean 
    + get-orig-source from the old rules
    + touch Makefile in clean target from the old rules
  * debian/compat bumped to 7
  * debian/README.Debian-source contents moved to debian/copyright
  * debian/copyright:
    + upgrade to the new format
    + added info about repack.pl and what we are excluding from the orig source

  [ Franck Joncourt ]
  * Replace uversionmangle by dversionmangle in debian/watch.
    + Refreshed the repack.pl script.
    + This fixes the following lintian warning:
      http://lintian.debian.org/tags/debian-watch-file-should-dversionmangle\
      -not-uversionmangle.html

  [ gregor herrmann ]
  * Add debian/README.source to document quilt usage, as required by
    Debian Policy since 3.8.0.
  * debian/control:
    - switch Vcs-Browser field to ViewSVN
    - add ${misc:Depends} to Depends: field
    - mention module name in long description

 -- Antonio Radici <antonio@dyne.org>  Sun, 01 Mar 2009 01:17:39 +0000

libxml-sax-perl (0.16+dfsg-3) unstable; urgency=low

  * README.Debian: replace a broken link to the CPAN FAQ entry about
    uninstalling CPAN modules with its intended content. (Closes: #469958)

 -- Niko Tyni <ntyni@debian.org>  Fri, 04 Apr 2008 16:00:12 +0300

libxml-sax-perl (0.16+dfsg-2) unstable; urgency=low

  * Remove the XS-DM-Upload-Allowed control field: I'm a DD now.
  * Switch to my @debian.org email address.
  * Upgrade to Standards-Version 3.7.3. No changes needed.
  * Don't set INSTALLVENDORARCH and the like; remove the empty /usr/lib/perl5
    directory only if it exists.
  * Handle stamp files with 'touch $@'.
  * Don't ship the /etc/perl/XML/SAX directory in the file list, handle it
    with the maintainer scripts instead.
  * Remove the unnecessary -1 Debian revision from the quilt build-dependency
    to ease backporting. Thanks, lintian.
  * update-perl-sax-parsers: Mention the parser priority when adding or
    removing it.
  * Make the maintainer scripts more verbose.
  * Upload to unstable.

 -- Niko Tyni <ntyni@debian.org>  Tue, 12 Feb 2008 20:17:01 +0200

libxml-sax-perl (0.16+dfsg-1) experimental; urgency=low

  [ Niko Tyni ]
  * New maintainer: Debian Perl Group
    + leave Jay Bonci in the Uploaders field.
  * Acknowledge NMUs. (Closes: #441473)
  * Add support for SAX parser priorities.
    + lower the XML::SAX::PurePerl priority so that it will not be the
      default parser anymore if any others are available. (Closes: #430118)
  * Move the /etc/perl/XML/SAX/ParserDetails.d directory under
    /var/lib/libxml-sax-perl, since it's not really configuration data.
  * Use ucf to manage local changes to /etc/perl/XML/SAX/ParserDetails.ini.
  * Remove the pre-sarge preinst cleanup of /etc/XML and /etc/perl/SAX
    introduced in 0.12-3.
    + Now survives systems with a leftover symlink /etc/perl/XML -> .
      (Closes: #240356)
  * Point to the compressed file in XML::SAX::save_parsers(). (Closes: #332440)
  * Recommend libxml-sax-expat-perl and explain this in the package
    description. (Closes: #420687)
  * Upgrade to debhelper compatibility level 5.
  * Upgrade to Standards-Version 3.7.2. No changes needed.
  * Don't install the upstream README file, there's no information in it.
  * Update debian/copyright.
  * Add explanations in the examples to clarify why they look like
    stray maintainer scripts. (Closes: #295398)
  * Various improvements in debian/rules.
    + remove generated files in the 'clean' target.
  * Update debian/watch.
  * Move the examples under debian/, they are Debian-specific.
  * Use quilt to manage debian/patches.
    + charset-decoding: Fix charset decoding in the PurePerl module (#405186)
    + parserdetails-debian: The Debian way of handling ParserDetails.ini
    + skip-test-with-nonfree-file: skip tests in t/16large.t depending on
      a non-free input file.
  * Move update-perl-sax-parsers under debian/ in the source package, it's
    Debian-specific.
  * Remove an unused Debian modification: XML::SAX->load_parsers() doesn't
    accept the '$file' argument anymore.
  * README.Debian: add a pointer to the CPAN FAQ entry on uninstalling local
    modules. Thanks to Streph Treadway <sbt@ginkwunk.net>. (Closes: #229178)
  * Make update-perl-sax-parsers bail out with an informative error message
    if there's a locally installed XML::SAX module breaking the installation.
    (See #229178)
  * Repackage the upstream tarball to remove the non-free
    testfiles/xmltest.xml file. (Closes: #452872)
  * Add the Homepage, Vcs-Svn and Vcs-Browser fields to debian/control.
  * Upload to experimental for now because of the scope of the changes.
    Test reports welcome, including 'it works for me'.

  [ Damyan Ivanov ]
  * Move $(QUILT_STAMPFN) dependency from build to build-stamp
  * Add XS-DM-Upload-Allowed: yes to debian/control so Niko Tyni can exercise
    his DM powers :)

 -- Niko Tyni <ntyni@iki.fi>  Tue, 27 Nov 2007 21:13:59 +0200

libxml-sax-perl (0.16-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release 0.16:
    - Fixes PI parsing bug; closes: #419757.
  * Apply patch from CPAN RT#26588; closes: #405186.

 -- Robert S. Edmonds <edmonds@debian.org>  Sun, 09 Sep 2007 22:20:15 -0400

libxml-sax-perl (0.14-0.1) unstable; urgency=low

  * Non-Maintainer Upload by Gunnar Wolf, pkg-perl team
  * Moved debhelper from build-depends-indep to build-depends
  * New upstream release

 -- Gunnar Wolf <gwolf@debian.org>  Fri, 15 Dec 2006 12:50:56 -0600

libxml-sax-perl (0.12-5) unstable; urgency=low

  * Adds debian/watch file so uscan will work

 -- Jay Bonci <jaybonci@debian.org>  Wed, 27 Oct 2004 13:02:32 -0400

libxml-sax-perl (0.12-4) unstable; urgency=low

  * New Maintainer (Closes: #210543)
  * Updated policy-version to 3.6.1.0 (No other changes)

 -- Jay Bonci <jaybonci@debian.org>  Mon, 15 Mar 2004 14:47:44 -0500

libxml-sax-perl (0.12-3) unstable; urgency=low

  * debian/libxml-sax-perl.preinst: changed to properly clean-up mess
    created by earlier versions with /etc/XML and /etc/perl/SAX
    (closes: Bug#187520)
  * Added note about conflixt with the original CPAN package
    (closes: Bug#188410)
  * debian/control: updated sections according to latest archive changes:
    - 'libxml-sax-perl' from 'interpreters' to 'perl'
  * debian/control: upgraded build dependency on 'debhelper' to '>= 4.1'
  * debian/control: upgraded to Debian Policy 3.6.0 (no changes)

 -- Ardo van Rangelrooij <ardo@debian.org>  Wed,  3 Sep 2003 15:17:00 -0500

libxml-sax-perl (0.12-2) unstable; urgency=low

  * debian/preinst: fixed to handle not-yet-existing '/etc/perl' directory
    (closes: Bug#179981, Bug#185146)
  * debian/rules: moved debhelper compatibility level setting to
    'debian/compat' per latest debhelper best practices

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun, 23 Mar 2003 11:33:39 -0600

libxml-sax-perl (0.12-1) unstable; urgency=low

  * New upstream release
  * debian/copyright: updated
  * debian/control: upgraded to Debian Policy 3.5.8 (no changes)
  * debian/libxml-sax-perl.postrm: fixed to not to try to remove '/etc'
    (closes: Bug#175485)
  * Moved '/etc/XML' to '/etc/perl/XML'
  * update-perl-sax-parsers: updated copyright
  * update-perl-sax-parsers: ported to Getopt::Long;
  * update-perl-sax-parsers: added '--file' and '--directory' options to
    support local Perl SAX parser module registration (see manual page and
    README.Debian for all the details)
    (closes: Bug#130376)
  * update-perl-sax-parsers.8: updated to reflect changes
  * README.Debian: updated to reflect changes and added more info
  * Added examples for postinst and prerm scripts

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun,  2 Feb 2003 11:56:49 -0600

libxml-sax-perl (0.10-3) unstable; urgency=low

  * debian/rules: added erroneously removed 'dh_testroot' to 'binary-indep'

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun,  4 Aug 2002 14:37:01 -0500

libxml-sax-perl (0.10-2) unstable; urgency=low

  * debian/rules: upgraded to debhelper v4
  * debian/control: changed build dependency on debhelper accordingly
  * debian/rules: migrated from 'dh_movefiles' to 'dh_install'
  * debian/rules: split off 'install' target from 'binary-indep' target
  * debian/copyright: added pointer to license

 -- Ardo van Rangelrooij <ardo@debian.org>  Sat,  3 Aug 2002 17:04:08 -0500

libxml-sax-perl (0.10-1) unstable; urgency=low

  * New upstream release
  * debian/control: added (build) dependency on 'libxml-namespacesupport-perl'

 -- Ardo van Rangelrooij <ardo@debian.org>  Thu, 21 Feb 2002 23:24:07 -0600

libxml-sax-perl (0.03-1) unstable; urgency=low

  * Initial release
    (closes: Bug#119980)

 -- Ardo van Rangelrooij <ardo@debian.org>  Tue,  1 Jan 2002 09:38:12 -0600
